Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.oslc4j.core.model
Enum Occurs

    java.lang.Object
      java.lang.Enum<Occurs>
          org.eclipse.lyo.oslc4j.core.model.Occurs

All Implemented Interfaces:
  Serializable, Comparable<Occurs>

    public enum Occurs

extends Enum<Occurs>

Enum Constant Summary
`ExactlyOne`
`OneOrMany`
`ZeroOrMany`
`ZeroOrOne`

Method Summary
`static Occurs` | `fromString(String string)`
`static Occurs` | `fromURI(URI uri)`
`String` | `toString()`
`static Occurs` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Occurs[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ExactlyOne

    public static final Occurs ExactlyOne

### ZeroOrOne

    public static final Occurs ZeroOrOne

### ZeroOrMany

    public static final Occurs ZeroOrMany

### OneOrMany

    public static final Occurs OneOrMany

Method Detail

### values

    public static Occurs[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Occurs c : Occurs.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Occurs valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Occurs>`

### fromString

    public static Occurs fromString(String string)

### fromURI

    public static Occurs fromURI(URI uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.